> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an address

> Deletes a specific address

### An important note on deleting addresses

This resource is effective-dated in the Scholarly data model, which means you should almost-never delete an address.
Instead, you should set the `effective_to` property via updating an address to signify that the address is no longer in use.




## OpenAPI

````yaml /openapi.json delete /api/v1/addresses/{id}
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/addresses/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    delete:
      tags:
        - Addresses
      summary: Delete an address
      description: >
        Deletes a specific address


        ### An important note on deleting addresses


        This resource is effective-dated in the Scholarly data model, which
        means you should almost-never delete an address.

        Instead, you should set the `effective_to` property via updating an
        address to signify that the address is no longer in use.
      operationId: deleteAddress
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
      responses:
        '204':
          description: address deleted
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: forbidden
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````